Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan::PK_Ops::Key_Agreement Class Referenceabstract

`#include <pk_ops.h>`

Inheritance diagram for Botan::PK_Ops::Key_Agreement:

## Public Member Functions
virtual secure_vector< uint8_t > | agree (size_t key_len, const uint8_t other_key[], size_t other_key_len, const uint8_t salt[], size_t salt_len)=0
virtual size_t | agreed_value_size () const =0
virtual | ~Key_Agreement ()

## Detailed Description

A generic key agreement operation (eg DH or ECDH)

Definition at line 117 of file pk_ops.h.

## Constructor & Destructor Documentation

## ◆ ~Key_Agreement()

virtual Botan::PK_Ops::Key_Agreement::~Key_Agreement | ( |  | ) |
| inline virtual

Definition at line 126 of file pk_ops.h.

126{}

## Member Function Documentation

## ◆ agree()

virtual secure_vector< uint8_t > Botan::PK_Ops::Key_Agreement::agree | ( | size_t | key_len,
|  | const uint8_t | other_key[],
|  | size_t | other_key_len,
|  | const uint8_t | salt[],
|  | size_t | salt_len
| ) |  |
| pure virtual

Implemented in Botan::PK_Ops::Key_Agreement_with_KDF.

## ◆ agreed_value_size()

virtual size_t Botan::PK_Ops::Key_Agreement::agreed_value_size | ( |  | ) | const
| pure virtual

The documentation for this class was generated from the following file:

- src/lib/pubkey/pk_ops.h